> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# When a booking has been edited, a cancellation request will be sent and then a new booking request will be
made with the updated details. This request will have the same voucherNumber as the original booking.

> Cancel a Booking



## OpenAPI

````yaml /openapi/ebs-supplier-api.json post /cms/ebs/booking/cancel
openapi: 3.0.0
info:
  title: EBS Supplier API
  version: 0.0.0
  description: >-
    Supplier-side EBS integration endpoints for authentication, availability,
    booking, and cancellations.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Authentication / Authorisation
    description: Authentication / Authorisation
  - name: Booking Parameters
    description: Booking Parameters
  - name: Availability
    description: Availability
  - name: Booking
    description: Booking
  - name: Bookings
    description: Bookings
  - name: Product Bookings
    description: Product Bookings
  - name: Booking Cancellation
    description: Booking Cancellation
paths:
  /cms/ebs/booking/cancel:
    post:
      tags:
        - Version 1
        - Booking Cancellation
      summary: >-
        When a booking has been edited, a cancellation request will be sent and
        then a new booking request will be

        made with the updated details. This request will have the same
        voucherNumber as the original booking.
      description: Cancel a Booking
      operationId: post_cms_core_ebs_cancelbooking
      requestBody:
        description: Booking Cancellation Parameters
        required: true
        content:
          application/json:
            schema:
              description: Cancel Request Parameters
              properties:
                bookingReferenceId:
                  description: >-
                    The bookingReferenceId from the response when the booking
                    was made.
                  type: string
                reason:
                  description: Description of reason for cancellation.
                  type: string
              type: object
      responses:
        '200':
          description: Returned when successful.
          content:
            application/json:
              schema:
                description: Response after cancellation attempt
                properties:
                  success:
                    description: >-
                      Whether or not the booking cancellation was made
                      successfully.
                    type: boolean
                  errorMessage:
                    description: A reason for the unsuccessful cancellation request.
                    type: string
                type: object
        default:
          description: >-
            Not 200, will all be treated as a failure. Use an appropriate code
            and detailed error message.<br/><strong>Note:</strong> Response
            payload also includes a 'success' boolean and optional error
            message. You can still return 200 but also indicate failure.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.